import request from '@/utils/request'

// 查询销售订单信息列表
export function listSaleOrder(query) {
  return request({
    url: '/mes/saleOrder/list',
    method: 'get',
    params: query
  })
}

// 查询销售订单信息详细
export function getSaleOrder(saleOrderId) {
  return request({
    url: '/mes/saleOrder/' + saleOrderId,
    method: 'get'
  })
}

// 新增销售订单信息
export function addSaleOrder(data) {
  return request({
    url: '/mes/saleOrder',
    method: 'post',
    data: data
  })
}

// 修改销售订单信息
export function updateSaleOrder(data) {
  return request({
    url: '/mes/saleOrder',
    method: 'put',
    data: data
  })
}

// 删除销售订单信息
export function delSaleOrder(saleOrderId) {
  return request({
    url: '/mes/saleOrder/' + saleOrderId,
    method: 'delete'
  })
}
